Subject: RE: re-submit2 [ANNOUNCEMENT] NET: usb: sierra_net.c driver

From: Ben Hutchings <bhutchings-s/n/[email-masked]>
Date: Thu, 01 Apr 2010 00:26:09 +0100

On Wed, 2010-03-31 at 13:58 -0700, Elina Pasheva wrote:
> On Tue, 2010-03-30 at 23:21 -0700, Rory Filer wrote:
> > -----Original Message-----
> > > >
> > > > Applied, thanks.
> > > 
> > > Nevermind, reverted, it doesn't even build.
> > > 
> > > drivers/net/usb/sierra_net.c: In function 'check_ethip_packet':
> > > drivers/net/usb/sierra_net.c:221:3: error: implicit declaration of
> > > function 'deverr'
> > > 
> > > Really, this should never ever happen, and there is simply
> > > no excuse at all for this.
> > 
> > Well actually there is an excuse, but I'm sure you don't want to
> > know what it is. 
> 
> The patch was posted saying it had only been tested on 2.6.33.1.
> There was failure-to-build and boot problems  beyond our control with 2.6.34-rc2.
> Now that 2.6.34-rc3 is available (and we are able to build and boot on our Ubuntu platform)
> I will modify the driver to reflect the fact that deverr is no longer in existence
> and is replaced by another function. I will submit the modified driver tested on 2.6.34-rc3 shortly.

You should be sending patches based on David Miller's net-next-2.6 or
net-2.6 git repository, where he will be applying them.  As this is a
new driver I assume it can go into net-2.6.

> Perhaps we should have waited until the build problem was fixed.

Or come up with a fix yourself.

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare Communications
Not speaking for my employer; that's the marketing department's job.
They asked us to note that Solarflare product names are trademarked.

--
To unsubscribe from this list: send the line "unsubscribe linux-usb" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html